--- title: "GetAllCustomResource" slug: "management-cloudinsight-getallcustomresource" tags: ["Cloud Insight"] updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-getallcustomresource" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # GetAllCustomResource Available in Classic and VPC Get all user resources. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /cw_fea/real/cw/api/custom/resource/list | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `resourceTypeId` | String | Optional | User resource type ID - Value used for `resourceData` data type authentication - Only query user resources of the defined data type - `DEFAULT` (default) | | `query` | String | Optional | Query keyword - Only query user resources of the data type defined by `resourceTypeId` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/custom/resource/list' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `resourceData` | Object | - | User resource data | | `resourceId` | String | - | User resource ID | | `resourceName` | String | - | User resource name | | `resourceTypeId` | String | - | User resource type ID | ### Response status codes For response status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` [ { "resourceData": { "organizationCode": "TEST", "serverType": "HighCPU", "serverIp": "***.***.***.***", "projectId": "PRJtest" }, "resourceId": "123456", "resourceName": "insight-test001", "resourceTypeId": "DEFAULT" }, { "resourceData": { "organizationCode": "TEST02", "serverType": "Standard", "serverIp": "***.***.***.***", "projectId": "PRJtest02" }, "resourceId": "123123", "resourceName": "insight-test002", "resourceTypeId": "DEFAULT" } ] ```